Bug 398781 - Review Request: gfs-complutum-fonts - GFS Complutum Greek font
Review Request: gfs-complutum-fonts - GFS Complutum Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 17:19 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 16:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 17:19:05 EST
Spec URL: http://nim.fedorapeople.org/gfs-complutum-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-complutum-fonts-20070413-1.fc9.src.rpm

Description:
The ancient Greek alphabet evolved during the millenium of the Byzantine era
from majuscule to minuscule form and gradually incorporated a wide array of
ligatures, flourishes and other decorative nuances which defined its
extravagant cursive character. Until the late 15th century, typographers who
had to deal with Greek text avoided emulating this complicated hand; instead
they would use only the twenty four letters of the alphabet separately, often
without accents and other diacritics.

A celebrated example is the type cut and cast for the typesetting of the New
Testament in the so-called Complutensian Polyglot Bible (1512), edited by the
Greek scholar, Demetrios Doukas. The type was cut by Arnaldo Guillén de Brocar
and the whole edition was a commision by cardinal Francisco Ximénez, in the
University of Alcalá (Complutum), Spain. It is one of the best and most
representative models of this early tradition in Greek typography which was
revived in the early 20th century by the eminent bibliographer of the British
Library, Richard Proctor. A font named Otter Greek was cut in 1903 and a book
was printed using the new type. The original type had no capitals so Proctor
added his own, which were rather large and ill-fitted. The early death of
Proctor, the big size of the font and the different aesthetic notions of the
time were the reasons that Otter Greek was destined to oblivion, as a curiosity.

Greek Font Society incorporated Brocar's famous and distinctive type in the
commemorative edition of Pindar's Odes for the Athens Olympics (2004) and the
type with a new set of capitals, revived digitaly by George D. Matthiopoulos,
is now available for general use.
Comment 1 Parag AN(पराग) 2007-11-26 07:41:10 EST
correct  SRPM I guess is
http://nim.fedorapeople.org/gfs-complutum-fonts-20070413-2.fc9.src.rpm

Also, rpmlint reports

gfs-complutum-fonts.noarch: E: description-line-too-long time were the reasons
that Otter Greek was destined to oblivion, as a curiosity.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

gfs-complutum-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Nicolas Mailhot 2007-11-26 08:11:50 EST
(In reply to comment #1)
> correct  SRPM I guess is
> http://nim.fedorapeople.org/gfs-complutum-fonts-20070413-2.fc9.src.rpm
> 
> Also, rpmlint reports
> 
> gfs-complutum-fonts.noarch: E: description-line-too-long time were the reasons
> that Otter Greek was destined to oblivion, as a curiosity.
> Your description lines must not exceed 79 characters. If a line is exceeding
> this number, cut it to fit in two lines.

The lines have been resized using the standard "fold" tool. So they are all 80
column max. rpmlint targets a non-standard terminal width, 79 column and I don't
believe this width is actually in use anywhere or that any terminal user will
actually be inconvenienced if we use the full 80 column. If you really insist I
may resize the text but that seems a waste of time to me.

> gfs-complutum-fonts.noarch: W: no-version-in-last-changelog
> The last changelog entry doesn't contain a version. Please insert the
> version that is coherent with the version of the package and rebuild it.

rpmlint wants to force you to put the version at the end of the first changelog
line, however the official approved Fedora changelog format list includes a
style where the version is not on this line
(http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs, 3rd style) so
rpmlint's warning is bogus

Comment 3 Parag AN(पराग) 2007-11-26 12:00:03 EST
I prefer you to fix rpmlint error description-line-too-long. Reason, If this is
bogus message then we should have already removed it from rpmlint tool itself
but as rpmlint is made to report it as error, good to fix this.
Comment 4 Nicolas Mailhot 2007-11-26 13:46:26 EST
Updated version posted at the usual place to cut lines at 79 columns.
Comment 5 Parag AN(पराग) 2007-11-26 22:08:26 EST
I agree it was big work for you to ask to fix small issue but still I prefer to
follow what rpmlint says till rpmlint tool gives it as Error and not Warning.
Comment 6 Parag AN(पराग) 2007-11-26 22:22:48 EST
Packaging looks ok.
APPROVED.
Comment 7 Nicolas Mailhot 2007-11-27 02:08:15 EST
rpmlint is wrong and does no know how to count UTF-8 properly. I actually
cheched the line it tags manually - it's less than 79 columns in UTF-8, which is
our default encoding.

New Package CVS Request
=======================
Package Name: gfs-complutum-fonts
Short Description: GFS Complutum Greek font
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes

Comment 8 Kevin Fenzi 2007-11-27 15:10:40 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.